OAEP_Base Class Referenceabstract

OAEP padding base class. More...

`#include <oaep.h>`

Inheritance diagram for OAEP_Base:

## Public Member Functions

bool | ParameterSupported (const char *name) const
size_t | MaxUnpaddedLength (size_t paddedLength) const
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedLength, const NameValuePairs &parameters) const
DecodingResult | Unpad (const byte *padded, size_t paddedLength, byte *raw, const NameValuePairs &parameters) const

## Detailed Description

OAEP padding base class.

Since
  Crypto++ 2.1

Definition at line 18 of file oaep.h.

## Member Function Documentation

## ParameterSupported()

bool OAEP_Base::ParameterSupported | ( | const char * | name | ) | const

inline virtual

Reimplemented from PK_EncryptionMessageEncodingMethod.

Definition at line 21 of file oaep.h.

## MaxUnpaddedLength()

size_t OAEP_Base::MaxUnpaddedLength | ( | size_t | paddedLength | ) | const

virtual

max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)

Implements PK_EncryptionMessageEncodingMethod.

## Pad()

void OAEP_Base::Pad | ( | RandomNumberGenerator & | rng,
|  | const byte * | raw,
|  | size_t | inputLength,
|  | byte * | padded,
|  | size_t | paddedLength,
|  | const NameValuePairs & | parameters ) const

virtual

Implements PK_EncryptionMessageEncodingMethod.

## Unpad()

DecodingResult OAEP_Base::Unpad | ( | const byte * | padded,
|  | size_t | paddedLength,
|  | byte * | raw,
|  | const NameValuePairs & | parameters ) const

virtual

Implements PK_EncryptionMessageEncodingMethod.

The documentation for this class was generated from the following file:

- oaep.h